Bug 10844 - Mplayer show bogus subtitles
: Mplayer show bogus subtitles
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mplayer)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-14 20:47 by
Modified: 2007-02-17 05:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-14 20:47:19
~$ R -q mplayer
mplayer-1.0-alt35.22173.1

~$ locale                                                                      
                                             
LANG=ru_RU.UTF-8
LC_CTYPE=en_US.utf8
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=

Когда пытаюсь проиграть видео в киррилицей в имени файла, зачем-то подключаются
внешние субтитры из ~/.mplayer/sub (от совсем другого файла, но тоже с
киррилицей в названий). В логе относительно субтитров всё тихо и благоодно:

get_path('sub/') -> '/home/evg/.mplayer/sub/'
SUB: opened iconv descriptor.
SUB: opened iconv descriptor.
SUB: closed iconv descriptor.
get_path('sub/') -> '/home/evg/.mplayer/sub/'
dvdsublang... ru en
dvdsublang... ru en
dvdsublang... ru en
dvdsublang... ru en
dvdsublang... ru en
dvdsublang... ru en
dvdsublang... ru en
dvdsublang... ru en
STREAM: [file] /home/evg/.mplayer/sub/Балл (Филиппова).sub
SUB: Detected subtitle file format: mpsub
SUB: opened iconv descriptor.
SUB: closed iconv descriptor.
SUB: Read 28 subtitles.
SUB: Added subtitle file (1): /home/evg/.mplayer/sub/Балл (Филиппова).sub

Подозреваю, и здесь порылся UTF-8 metabug.
------- Comment #1 From 2007-02-15 21:11:45 -------
(In reply to comment #0)
> Подозреваю, и здесь порылся UTF-8 metabug.

Не совсем. Там просто "шибко умный" алгоритм поиска субтитров, у которого на 
UTF-8 "крышу сносит".

------- Comment #2 From 2007-02-15 21:51:50 -------
fixed in mplayer-1.0-alt35.22223.1